QB_IPCC_VERIFY_DGRAM_MAX_MSG_SIZE(3)

NAME
qb_ipcc_verify_dgram_max_msg_size - Test kernel dgram socket buffers to verify the largest size up to the max_msg_size value a single msg can be.

SYNOPSIS
#include <qb/qbipcc.h>

int32_t qb_ipcc_verify_dgram_max_msg_size(
    size_t  max_msg_size   /* biggest msg size. */
);

PARAMS
max_msg_size biggest msg size.

DESCRIPTION

Rounds down to the nearest 1k.

RETURN VALUE

-1 if max size can not be detected, positive value representing the largest single msg up to max_msg_size that can successfully be sent over a unix dgram socket.

SEE ALSO

qb_ipcc_send(3), qb_ipcc_sendv_recv(3), qb_ipcc_recv(3), qb_ipcc_event_recv(3), qb_ipcc_connect_async(3), qb_ipcc_fc_enable_max_set(3), qb_ipcc_is_connected(3), qb_ipcc_connect_continue(3), qb_ipcc_auth_get(3), qb_ipcc_sendv(3), qb_ipcc_context_set(3), qb_ipcc_context_get(3), qb_ipcc_get_buffer_size(3), qb_ipcc_connect(3), qb_ipcc_disconnect(3), qb_ipcc_fd_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.